<?
sapp_include_once('common.php');

function form_handler()
{
	$valid = true;

	// check install_prefix
	$install_prefix = sapp_get_submit_value('install_prefix');

	switch (sapp_set_install_prefix($install_prefix)) {

		case SITEAPP_DIR_NOT_EXISTS:
			break;

		case SITEAPP_DIR_USED_BY_UNKNOWN:
			sapp_set_wrong('install_prefix', msg('install_prefix__already_exists'));
			$valid = false;
			break;			

		case SITEAPP_DIR_INVALID_NAME:
			sapp_set_wrong('install_prefix', msg('install_prefix__invalid_name'));
			$valid = false;
			break;

		case SITEAPP_DIR_USED_BY_SITEAPP:
			sapp_set_wrong('install_prefix', msg('install_prefix__used_by_sapp'));
			$valid = false;
			break;
	}

	$smtp_server = sapp_get_submit_value('smtp_server');
	sapp_set_param('smtp_server', $smtp_server);

	$smtp_auth = sapp_get_submit_value('smtp_auth');
	sapp_set_param('smtp_auth', $smtp_auth);
	
	$mail_domain = sapp_get_submit_value('mail_domain');
	sapp_set_param('mail_domain', $mail_domain);
	
	$mail_domain_server = sapp_get_submit_value('mail_domain_server');
	sapp_set_param('mail_domain_server', $mail_domain_server);
	
	$mail_login = sapp_get_submit_value('mail_login');
	sapp_set_param('mail_login', $mail_login);
	
	if (!$valid) {
		sapp_set_warning(msg('invalid_values'));
		return 1;
	}
	
	// set application URL
	sapp_set_param('application_url', sapp_get_param('install_prefix'));

	return 2;
}
?>
